cmake_minimum_required(VERSION 3.13)

project(IrFoxAnalyzer)

add_definitions(-DLOGIC2)

set(CMAKE_EXPORT_COMPILE_COMMANDS ON)

set(CMAKE_MODULE_PATH ${PROJECT_SOURCE_DIR}/cmake)

include(ExternalAnalyzerSDK)

set(SOURCES
	src/IrFoxAnalyzer.cpp
	src/IrFoxAnalyzer.h
	src/IrFoxDecoder.cpp
	src/IrFoxDecoder.h
	src/IrFoxAnalyzerResults.cpp
	src/IrFoxAnalyzerResults.h
	src/IrFoxAnalyzerSettings.cpp
	src/IrFoxAnalyzerSettings.h
	src/IrFoxSimulationDataGenerator.cpp
	src/IrFoxSimulationDataGenerator.h
)

add_analyzer_plugin(${PROJECT_NAME} SOURCES ${SOURCES})
